Skip to main content

Update Profile User

Use this API to update the user profile.

Resource Informations​

NameValue
Requires authentication?Yes
Rate limited?No

Request​

Request headers​

KeyValue
AuthorizationBearer token
Content-Typeapplication/json

HTTP request URL for SSMS​

PUT https://{tenantId}.{hostname}/digitanium/v4/users/{userName}/profile

HTTP request URL for SHIFT​

PUT https://{hostname}/auth/realms/{tenantId}/v3_user/{userName}/profile
note

API requests must be made over https. Calls made over plain http will fail.

Parameters​

No parameter fields are required.

Request body​

Field NameTypeDescription
firstNamestringFirst name of the user.
lastNamestringLast name of the user.
emailstringEmail of the user.
attributesObjectKey value pair containing the attributes you wanted to update.

Sample Request​

{
"firstName": "Foo",
"lastName": "Bar",
"email" : "example@email.com",
"attributes": {
"attribute1": "value",
"attribute2": "value2",
"attribute3": "value3"
}
}

Response​

Field NameTypeDescription
messageStringMessage explains result of the API call. Refer Response status Information for details.
statusStringThe status of the API call. Refer Response status Information for details.
subSystemIntegersubSystem categorizes the type of API that has been called. Refer Subsystem details for details.

Sample Response​

{
"message": "User profile updated successfully.",
"status": "OK",
"subSystem": 5
}

Response Status Information​

Status CodeStatusMessage
200OKUser profile updated successfully
400GENERAL ERRORFailed to update profileCaused by null
401UnauthorizedHTTP 401 Unauthorized
404USER_NOT_FOUNDUser does not exist